cascading.util.cache

## Interface CascadingCache<Key,Value>

All Superinterfaces:
  java.util.Map<Key,Value>

All Known Implementing Classes:
  DirectMappedCache, LRUHashMapCache, OrderedHashMapCache

    public interface CascadingCache<Key,Value>
    extends java.util.Map<Key,Value>

Interface that defines a Cache.

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`java.util.Map.Entry<K,V>`

### Method Summary

Methods
`int` `getCapacity()` Returns the capacity of this cache.
`void` `initialize()` Method to initialize the Cache.
`void` `setCacheEvictionCallback(CacheEvictionCallback cacheEvictionCallback)` Sets the `CacheEvictionCallback` of this Cache.
`void` `setCapacity(int capacity)` Sets the capacity of the Cache.

### Methods inherited from interface java.util.Map

`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

### Method Detail

#### initialize

    void initialize()

Method to initialize the Cache. Any setup should be done in here.

#### setCapacity

    void setCapacity(int capacity)

Sets the capacity of the Cache.

#### getCapacity

    int getCapacity()

Returns the capacity of this cache.

#### setCacheEvictionCallback

    void setCacheEvictionCallback(CacheEvictionCallback cacheEvictionCallback)

Sets the `CacheEvictionCallback` of this Cache.